# $Id: prg.apache.mk,v 1.4 2001/10/23 13:09:17 abo Exp $

MAINTAINER=	mpkg@e.kth.se
HOMEPAGE=	http://httpd.apache.org/

MASTER_SITES+=	http://httpd.apache.org/dist/
DISTFILES+=	$(DISTNAME)_$(VERSION).tar.gz
PKGSUBDIR?=	$(DISTNAME)_$(VERSION)

GNU_CONFIGURE=	yes
CONFIGURE_ARGS+= --with-layout=Apache --enable-module=so

# Supply hooks for extra configuration alternatives that you may set
# in the mpkg-conf tree.

ifdef CONFIG_EXTRA_ENV
ENVIRONMENT+= 	$(CONFIG_EXTRA_ENV)
endif

ifdef CONFIG_ENABLE_MODULES
CONFIGURE_ARGS+= $(CONFIG_ENABLE_MODULES:%= --enable-module=%)
endif

ifdef CONFIG_ENABLE_SUEXEC
CONFIGURE_ARGS+= --enable-suexec
ifdef CONFIG_SUEXEC_CALLER
CONFIGURE_ARGS+= --suexec-caller=$(CONFIG_SUEXEC_CALLER)
endif
ifdef CONFIG_SUEXEC_DOCROOT
CONFIGURE_ARGS+= --suexec-docroot=$(CONFIG_SUEXEC_DOCROOT)
endif
ifdef CONFIG_SUEXEC_LOGFILE
CONFIGURE_ARGS+= --suexec-logfile=$(CONFIG_SUEXEC_LOGFILE)
endif
ifdef CONFIG_SUEXEC_USERDIR
CONFIGURE_ARGS+= --suexec-userdir=$(CONFIG_SUEXEC_USERDIR)
endif
endif

ifdef CONFIG_LOGFILEDIR
CONFIGURE_ARGS+= --logfiledir=$(CONFIG_LOGFILEDIR)
endif
ifdef CONFIG_RUNTIMEDIR
CONFIGURE_ARGS+= --runtimedir=$(CONFIG_RUNTIMEDIR)
endif
ifdef CONFIG_PROXYCACHEDIR
CONFIGURE_ARGS+= --proxycachedir=$(CONFIG_PROXYCACHEDIR)
endif

ifdef CONFIG_sysconfdir
CONFIGURE_ARGS+= --sysconfdir=$(CONFIG_SYSCONFDIR)
endif
ifdef CONFIG_DATADIR
CONFIGURE_ARGS+= --datadir=$(CONFIG_DATADIR)
endif
ifdef CONFIG_ICONSDIR
CONFIGURE_ARGS+= --iconsdir=$(CONFIG_ICONSDIR)
endif
ifdef CONFIG_HTDOCSDIR
CONFIGURE_ARGS+= --htdocsdir=$(CONFIG_HTDOCSDIR)
endif
ifdef CONFIG_CGIDIR
CONFIGURE_ARGS+= --cgidir=$(CONFIG_CGIDIR)
endif
ifdef CONFIG_LOCALSTATEDIR
CONFIGURE_ARGS+= --localstatedir=$(CONFIG_LOCALSTATEDIR)
endif

DESCRIPTION=	"Apache is a robust, commercial-grade, featureful, and freely"
DESCRIPTION+=	"available implementation of an HTTP (Web) server."

do-install: do-instal%
	$(QUIET) $(SETENV) DONT_CREATE_METAINFO=yes $(MAKE) do-extrapkg-install

include $(MPKGDIR)/mk/gnu.extrapkgs.mk
