--- include/common.h.old	Mon Mar 26 16:56:48 2001
+++ include/common.h	Mon Mar 26 17:01:40 2001
@@ -24,6 +24,7 @@
 
 #include <assert.h>
 #include <stddef.h>
+#include <sys/types.h>
 
 // Normally, user types are capitalized but X11 already defines Bool
 // _and_ Boolean.  We don't want to include any X header files here
@@ -162,3 +163,43 @@
 #ifdef True
 #undef True
 #endif
+
+#if defined(__osf__) && defined(__alpha)
+/* OSF1 headerfiles uses datatypes only known to DEC CC */
+#ifndef u_char
+typedef unsigned char u_char;
+#endif
+#ifndef u_short
+typedef unsigned short u_short;
+#endif
+#ifndef u_int
+typedef unsigned int u_int;
+#endif
+#ifndef u_long
+typedef unsigned long u_long;
+#endif
+#ifndef int8_t
+typedef char int8_t;
+#endif
+#ifndef uint8_t
+typedef unsigned char uint8_t;
+#endif
+#ifndef int16_t
+typedef short int16_t;
+#endif
+#ifndef uint16_t
+typedef unsigned short uint16_t;
+#endif
+#ifndef int32_t
+typedef int int32_t;
+#endif
+#ifndef uint32_t
+typedef unsigned int uint32_t;
+#endif
+#ifndef int64_t
+typedef long int64_t;
+#endif
+#ifndef uint64_t
+typedef unsigned long uint64_t;
+#endif
+#endif /* __osf__ && __alpha */
