--- ../emacs-21.1.orig/lisp/lpr.el	Sun Jul 15 18:15:34 2001
+++ ./lisp/lpr.el	Wed Oct 24 16:30:52 2001
@@ -201,6 +201,7 @@
   ;; and it seems to annoying to do for that MIPS system.
   (let ((name  (concat (buffer-name) " Emacs buffer"))
 	(title (concat (buffer-name) " Emacs buffer"))
+	(bufname (buffer-name))
 	;; Make pipes use the same coding system as
 	;; writing the buffer to a file would.
 	(coding-system-for-write (or coding-system-for-write
@@ -242,8 +243,14 @@
 	    (let ((new-coords (print-region-new-buffer start end)))
 	      (apply 'call-process-region (car new-coords) (cdr new-coords)
 		     lpr-page-header-program t t nil
-		     (nconc (list "-h" title)
-			    lpr-page-header-switches)))
+		     (if (string= lpr-page-header-program "pr")
+			 (nconc (list "-h" title)
+				lpr-page-header-switches)
+		       (if lpr-page-header-switches
+			   lpr-page-header-switches
+			 (if (fboundp 'lpr-page-header-switches-func)
+			     (lpr-page-header-switches-func bufname)
+			   nil)))))
 	    (setq start (point-min)
 		  end   (point-max))))
       (apply (or print-region-function 'call-process-region)
