;;
;; $Id: site-start.el,v 1.1 2001/10/24 15:57:27 mille Exp $
;;

;; EMACSLOADPATHLOCAL -> load-path

(let ((path (getenv "EMACSLOADPATHLOCAL")))
  (if path
      (let ((list nil)
	    idx)
	(while (> (length path) 0)
	  (setq idx (or (string-match path-separator path) (length path))
		list (cons (substring path 0 idx) list)
		path (substring path (min (1+ idx)
					  (length path)))))
	(setq load-path (append (nreverse list) load-path)))))




;; Rebind menu for printing. print-buffer/print-region crashes some
;; printers.

;(define-key menu-bar-print-menu [print-region]
;  '("Print Region" . ps-print-region))
;(define-key menu-bar-print-menu [print-buffer]
;  '("Print Buffer" . ps-print-buffer))
;(put 'ps-print-region 'menu-enable 'mark-active)

(setq lpr-add-switches nil)
(setq lpr-page-header-program "a2ps")
(setq lpr-page-header-switches-mpkg '("-q" "-o" "-" "-E"))
(setq lpr-page-header-switches nil)

(defun lpr-page-header-switches-func (name)
  ""
  (nconc (list (concat "--stdin=" name))
	 lpr-page-header-switches-mpkg))


;; enable showing of 8bit characters
(standard-display-european 1)

;; enable 8bit characters for terminals (not X)
(set-input-mode (car (current-input-mode))
		(nth 1 (current-input-mode))
		0)

(setq load-path (append '("/usr/local/vol/emacs/site-lisp") load-path))

;; x things
(setq transient-mark-mode t)

;; key bindings
(global-set-key [find] 'isearch-forward)
(global-set-key [insertchar] 'yank)
(global-set-key [deletechar] 'kill-region)
(global-set-key [select] 'kill-ring-save)
(global-set-key [prev] 'scroll-down)
(global-set-key [next] 'scroll-up)
(global-set-key [help] 'help-for-help)
(global-set-key [menu] 'execute-extended-command)

;; GNUS - news reader
(autoload 'gnus "gnus" "Read network news." t)
(autoload 'gnus-post-news "gnuspost" "Post a new newsarticle." t)
(setq gnus-default-nntp-server "news.kth.se")
(setq gnus-local-domain "e.kth.se")
(setq gnus-local-organization "School of EE, Royal Institute of Technology, Sweden")
(setq gnus-use-generic-from t)
(setq gnus-default-article-saver 'gnus-summary-save-in-file)
(setq gnus-auto-select-first nil)

;; autoloading
(autoload 'modula-3-mode "modula3")
(setq auto-mode-alist
      (append '(("\\.ig$" . modula-3-mode)
                ("\\.mg$" . modula-3-mode)
                ("\\.i3$" . modula-3-mode)
                ("\\.m3$" . modula-3-mode))
              auto-mode-alist))


;; Lyskom extentions  /lha

(defun tokkom-lyskom-setup ()
  (setq lyskom-default-server "kom.stacken.kth.se")
  (setq kom-server-aliases
        (cons '("kom.stacken.kth.se" . "TokKOM") kom-server-aliases)))

(add-hook 'lyskom-after-load-hook 'tokkom-lyskom-setup)

;; This autoloads the library lyskom
(autoload 'lyskom "lyskom" "Starting LysKOM session" 
  t nil)
