--- src/unix-gcc.mak.old	Mon Sep 25 17:06:28 2000
+++ src/unix-gcc.mak	Thu Apr 19 19:40:48 2001
@@ -56,16 +56,16 @@
 INSTALL_PROGRAM = $(INSTALL) -m 755
 INSTALL_DATA = $(INSTALL) -m 644
 
-prefix = /usr/local
+prefix = ${PREFIX}
 exec_prefix = $(prefix)
 bindir = $(exec_prefix)/bin
 scriptdir = $(bindir)
 mandir = $(prefix)/man
 man1ext = 1
 man1dir = $(mandir)/man$(man1ext)
-datadir = $(prefix)/share
-gsdir = $(datadir)/ghostscript
-gsdatadir = $(gsdir)/$(GS_DOT_VERSION)
+datadir = $(prefix)
+gsdir = $(datadir)
+gsdatadir = $(gsdir)
 
 docdir=$(gsdatadir)/doc
 exdir=$(gsdatadir)/examples
@@ -100,8 +100,10 @@
 #	makes private (static) procedures and variables public,
 #	  so they are visible to the debugger and profiler.
 #	  No execution time or space penalty.
+# -DA4
+#	makes A4 the default paper size
 
-GENOPT=
+GENOPT=-DA4
 
 # Define the name of the executable file.
 
@@ -128,7 +130,7 @@
 # You may need to change this if the IJG library version changes.
 # See jpeg.mak for more information.
 
-JSRCDIR=jpeg
+JSRCDIR=${PREFIX_libjpeg}
 JVERSION=6
 
 # Choose whether to use a shared version of the IJG JPEG library (-ljpeg).
@@ -148,26 +150,26 @@
 # You may need to change this if the libpng version changes.
 # See libpng.mak for more information.
 
-PSRCDIR=libpng
+PSRCDIR=${PREFIX_libpng}/include
 PVERSION=10008
 
 # Choose whether to use a shared version of the PNG library, and if so,
 # what its name is.
 # See gs.mak and Make.htm for more information.
 
-SHARE_LIBPNG=0
+SHARE_LIBPNG=1
 LIBPNG_NAME=png
 
 # Define the directory where the zlib sources are stored.
 # See zlib.mak for more information.
 
-ZSRCDIR=zlib
+ZSRCDIR=${PREFIX_zlib}/include
 
 # Choose whether to use a shared version of the zlib library, and if so,
 # what its name is (usually libz, but sometimes libgz).
 # See gs.mak and Make.htm for more information.
 
-SHARE_ZLIB=0
+SHARE_ZLIB=1
 #ZLIB_NAME=gz
 ZLIB_NAME=z
 
@@ -213,7 +215,7 @@
 # We don't include -ansi, because this gets in the way of the platform-
 #   specific stuff that <math.h> typically needs; nevertheless, we expect
 #   gcc to accept ANSI-style function prototypes and function definitions.
-XCFLAGS=
+XCFLAGS=$(CPP_FLAGS) $(CC_LD_FLAGS) $(LD_FLAGS)
 
 CFLAGS=$(CFLAGS_STANDARD) $(GCFLAGS) $(XCFLAGS)
 
@@ -224,7 +226,7 @@
 #	-R /usr/local/xxx/lib:/usr/local/lib
 # giving the full path names of the shared library directories.
 # XLDFLAGS can be set from the command line.
-XLDFLAGS=
+XLDFLAGS=$(CC_LD_FLAGS) $(LD_FLAGS)
 
 LDFLAGS=$(XLDFLAGS) -fno-common
 
@@ -254,7 +256,7 @@
 # Note that x_.h expects to find the header files in $(XINCLUDE)/X11,
 # not in $(XINCLUDE).
 
-XINCLUDE=-I/usr/local/X/include
+XINCLUDE=-I${X11BASE}/include
 
 # Define the directory/ies and library names for the X11 library files.
 # XLIBDIRS is for ld and should include -L; XLIBDIR is for LD_RUN_PATH
@@ -269,9 +271,9 @@
 #XLIBS=Xt SM ICE Xext X11
 
 #XLIBDIRS=-L/usr/local/X/lib
-XLIBDIRS=-L/usr/X11/lib
+XLIBDIRS=-L${X11BASE}/lib
 XLIBDIR=
-XLIBS=Xt Xext X11
+XLIBS=Xt SM ICE Xext X11
 
 # Define whether this platform has floating point hardware:
 #	FPU_TYPE=2 means floating point is faster than fixed point.
@@ -401,7 +403,8 @@
 CC_NO_WARN=$(CC_) -Wno-cast-qual -Wno-traditional
 
 # ---------------- End of platform-specific section ---------------- #
-
+eskil:
+	@echo $(CC_)
 include $(GLSRCDIR)/unixhead.mak
 include $(GLSRCDIR)/gs.mak
 include $(GLSRCDIR)/lib.mak
